Index: pjproject/branches/projects/2.0-dev/pjmedia/include/pjmedia_videodev.h
===================================================================
--- pjproject/branches/projects/2.0-dev/pjmedia/include/pjmedia_videodev.h	(revision 3392)
+++ pjproject/branches/projects/2.0-dev/pjmedia/include/pjmedia_videodev.h	(revision 3392)
@@ -0,0 +1,30 @@
+/* $Id$ */
+/* 
+ * Copyright (C) 2008-2010 Teluu Inc. (http://www.teluu.com)
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
+ */
+#ifndef __PJMEDIA_VIDEODEV_H__
+#define __PJMEDIA_VIDEODEV_H__
+
+/**
+ * @file pjmedia_videodev.h
+ * @brief PJMEDIA main header file.
+ */
+
+#include <pjmedia-videodev/videodev.h>
+#include <pjmedia-videodev/videodev_imp.h>
+
+#endif	/* __PJMEDIA_VIDEODEV_H__ */
Index: pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia-audiodev/audiodev.c
===================================================================
--- pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia-audiodev/audiodev.c	(revision 3391)
+++ pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia-audiodev/audiodev.c	(revision 3392)
@@ -191,7 +191,9 @@
 	FIELD_INFO(ec_tail_ms);
 	break;
+    /* vad is no longer in "fmt" in 2.0.
     case PJMEDIA_AUD_DEV_CAP_VAD:
 	FIELD_INFO(ext_fmt.vad);
 	break;
+    */
     case PJMEDIA_AUD_DEV_CAP_CNG:
 	FIELD_INFO(cng_enabled);
Index: pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia-audiodev/wmme_dev.c
===================================================================
--- pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia-audiodev/wmme_dev.c	(revision 3391)
+++ pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia-audiodev/wmme_dev.c	(revision 3392)
@@ -251,10 +251,10 @@
     wdi->info.caps |= PJMEDIA_AUD_DEV_CAP_EXT_FORMAT;
     wdi->info.ext_fmt_cnt = 2;
-    wdi->info.ext_fmt[0].id = PJMEDIA_FORMAT_PCMU;
-    wdi->info.ext_fmt[0].bitrate = 64000;
-    wdi->info.ext_fmt[0].vad = 0;
-    wdi->info.ext_fmt[1].id = PJMEDIA_FORMAT_PCMA;
-    wdi->info.ext_fmt[1].bitrate = 64000;
-    wdi->info.ext_fmt[1].vad = 0;
+    pjmedia_format_init_audio(&wdi->info.ext_fmt[0],
+			      PJMEDIA_FORMAT_PCMU, 8000, 1, 8,
+			      20000, 64000, 64000);
+    pjmedia_format_init_audio(&wdi->info.ext_fmt[0],
+			      PJMEDIA_FORMAT_PCMA, 8000, 1, 8,
+			      20000, 64000, 64000);
 }
 
